-- Stores all information unique to the Barbarian class.

return 
{
	hit_points_per_level = 3,
	
	primary_stat  = "Intelligence",
	secondary_stat = "Agility",
	
	start_data =
	{
		health = 27,
		spells = { "WildMana" },
		max_mana = { red=30,green=30,blue=30,yellow=30,black=30 },
	},
	
	attribute_bonuses = 
	{
		"[ATTRIBUTES_DESC_STRENGTH]",
		"[ATTRIBUTES_DESC_AGILITY]",
		"[ATTRIBUTES_DESC_STAMINA]",
		"[ATTRIBUTES_DESC_INTELLIGENCE]",
		"[ATTRIBUTES_DESC_MORALE]",
	},

	-- NOTE: READ THIS CAREFULLY: Spells awarded to the war mage must have the field "warmageSpellIndex" which
	-- is a value from 1-15 (inclusive) that is unique for the spell.  This is for tracking the warmages 
	-- favourite spell.

	level_bonuses = 
	{
		{ spell      = "DarkChannels"},
		{ spell      = "MirrorShield"},
		{ spell      = "Chasm"},
		{ spell      = "FlameBolts"},
		{ spell      = "SoulDrain"},
		{ spell      = "FingerOfDeath"},
		{ spell      = "Fireball"},
		{ spell      = "StoneSkin"},
		{ spell      = "MageStrike"},
		{ spell      = "IceShield"},
		{ spell      = "HandOfIce"},
		{ spell      = "FumbleHex"},
		{ spell      = "Weakness"},
		{ spell      = "Strength"},
		{ spell      = "FlameBlade"},
		{ spell      = "ManaBlast" },
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ upgrade	 = true},
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ },
		{ }		-- Lv 50
	},
}
